/* Miniature card */
.minigeneratedimage
{
    background-size: contain;  
    background-repeat: no-repeat; 
    background-position: 50% 50%;
}

.over > .card
{
    background-color: var(--secondary-darker) !important;
    border: 2px dashed var(--secondary-dark) !important;
}

.fade-on-hover
{
    /* display: none !important; */
    visibility: hidden;
    opacity: 0;
    transition: all 0.25s ease-out;
}

.draggable:hover .fade-on-hover, .fade-on-hover:hover {
    /* display: inline-block !important; */
    visibility: visible;
    opacity: 1;
    transition: all 0.25s ease-in;
}

.not-clickable
{
    cursor: not-allowed;
    color: var(--secondary-lighter) !important;
}

.not_supported
{
    cursor: not-allowed;
    color: var(--secondary-lighter) !important;
}

.hidden
{
    display: none !important;
}

.non-clickable
{
    pointer-events: none;
    cursor: default;
}

.hidden-settings-panel
{
    max-width: 0;
    overflow: hidden;
    margin: 0 !important;
    transition: max-width 0.75s cubic-bezier(0, 1, 0, 1);
}

.visible-settings-panel
{
    max-width: 1000px;
    transition: max-width 0.75s ease-out;
}

.minilistitem
{
    display: inline-block;
    margin: 0px 5px 5px 0px;
}

.minilistlink-enabled
{
    color: var(--secondary-lighter);
    cursor: not-allowed;
}

.minilistlink-disabled
{
    color: var(--secondary-lighter);
    cursor: pointer;
}

/* Specific IDS */
.settings-header
{
    margin-top: 1.5rem;
}

#movable-settings
{
    z-index: 1; 
    position: absolute;
}

@media screen and (max-width:770px) 
{
    #movable-settings
    {
        position: static;
    }
}

#confirmation-popup-card
{
    height: auto; 
    width: auto; 
    padding-bottom: 90px; 
    padding-top: 30px; 
    padding-right: 60px; 
    padding-left: 60px;
}

#preview-header
{
    margin-top: 1.5rem;
}

#preview_container
{
    height: 75vh; 
    position: relative;
    background-repeat: no-repeat; 
    background-position: center;
}

#default-settings-reset-button
{
    margin-left: 20px;
}

@media screen and (max-width:419px) {
    #default-settings-reset-button
    {
        margin-left: 0;
        margin-bottom: -10px;
        margin-top: 10px;
    }
}

#MiniatureCardContainer
{
    margin-bottom: 48px;
}

#MiniatureUploadContainer
{
    margin-bottom: 24px;
}

#pdfholder
{
    padding-left: 0px;
    padding-right: 0px;
}

.divider.upload
{
    margin-left: 200px; 
    margin-right: 200px;

    font-size: 0.85rem;
    text-transform: lowercase;
    font-family: Kanit-medium;
}

@media screen and (max-width: 2270px)
{
    .divider.upload
    {
        margin-left: 150px; 
        margin-right: 150px;
    }
}

@media screen and (max-width: 1660px)
{
    .divider.upload
    {
        margin-left: 100px; 
        margin-right: 100px;
    }
}

@media screen and (max-width: 1400px)
{
    .divider.upload
    {
        margin-left: 50px; 
        margin-right: 50px;
    }
}

@media screen and (max-width: 1023px)
{
    .divider.upload
    {
        margin-left: 250px; 
        margin-right: 250px;
    }
}

@media screen and (max-width: 670px)
{
    .divider.upload
    {
        margin-left: 150px; 
        margin-right: 150px;
    }
}

@media screen and (max-width: 450px)
{
    .divider.upload
    {
        margin-left: 50px; 
        margin-right: 50px;
    }
}

.ImageDropperText
{
    margin-left: 10px;
    font-family: Kanit-medium;
    font-weight: normal;
}

#default_settings_column
{
    position: relative;
}

#default_settings_overlay
{
    position: absolute; /* Position it over the content */ 
    top: 0; 
    left: 0; 
    width: 100%; /* Cover the full width */ 
    height: 100%; /* Cover the full height */ 
    background-color:var(--main-background);
    opacity: 0.5;
    z-index: 10; /* Higher than underlying content */ 
    pointer-events: all; /* Allow pointer events on the overlay */ 
}

/* BULMA CHANGES */
.columns
{
    margin-left: 0px;
    margin-right: 0px;
}

.column
{
    min-height: 54px;
}
.column.max-height-54
{
    max-height: 54px;
}

.column.is-one-quarter, .column.is-one-quarter-tablet 
{
    flex: none;
    width: auto;
}

@media screen and (min-width: 1024px) {
    .column.is-one-quarter, .column.is-one-quarter-tablet 
    {
        flex: none;
        width: 25%;
    }
}

.switch[type="checkbox"] + label 
{
    margin-top: -5px;
}

.modal-content
{
    width: 65%;
    height:90%;
}

@media screen and (max-width: 768px) {
    .modal-content
    {
        width: 100%;
    }
}

@media screen and (min-width: 769px) and (max-width: 999px){
    .modal-content
    {
        width: 100%;
    }
    .settings-column
    {
        width: 25%;
    }
}

@media screen and (min-width: 1000px) and (max-width:1500px){
    .modal-content
    {
        width: 100%;
    }
}

.divider
{
    margin-top: 10px;
    margin-left: 15px;
    margin-right: 15px;
    color: var(--secondary-lighter)
}

.card-footer
{
    /* border-top: none; */
    display: block;
    border-top: none;
}

.card.half-width
{
    width: 50%;
    overflow-x: hidden;
    overflow-y: scroll;
}

@media screen and (max-width: 580px) 
{
    .card.half-width
    {
        width: auto;
    }
}

.card-noborder
{
    min-height: 350px;
    border-radius: 0 !important;
    border: none !important;
}

.card-notopborder
{
    border-top-left-radius: 0 !important;
    border-top-right-radius: 0 !important;
    padding-right: 0px !important; 
    padding-left: 0px !important; 
    border: none !important;
}

.card.upload
{
    border: 2px solid var(--button-secondary); 
    background-color: var(--secondary-dark);  
    height: 350px;
}

.card.upload.dragging
{
    background-color: var(--secondary-darker);
    border: 2px dashed var(--button-secondary); 
}

/* Class variables for any */
.center-text
{
    display: flex;
    align-items: center;
}

.center-content
{
    display: flex;
    align-items: center;
    justify-content:center;
    text-align: center;
}

.right-text
{
    display: flex; 
    align-items: center;
    justify-content: left;
}


.force-auto-width
{
    width: auto !important;
}

@media screen and (max-width: 1023px) {
    .force-grid
    {
        display: grid !important;
    }
}

.bottom-content
{
    position: absolute;
    bottom: 0;
    width: 100%;
    left: 0;
    padding-bottom: 24px;
}

.right-text
{
    display: flex; 
    align-items: center;
    justify-content: right;
}

.right-text :first-child 
{
    margin-right: 5px !important;
}

.right-text-no-margin
{
    display: flex; 
    align-items: center;
    justify-content: right;
}

.right-content
{
    display: flex; 
    justify-content: right;
}
.left-content
{
    display: flex; 
    justify-content: left;
    padding-left: 0.5rem;
}


.not_supported
{
    cursor: not-allowed;
}

@media screen and (max-width: 390px) {
    .zero-right-on-mobile
    {
        margin-right: 0px !important;
    }
}

/* Loading animation for previewer */
.bulma-loader-mixin 
{
    -webkit-animation: spinAround .5s infinite linear;
    animation: spinAround .5s infinite linear;
    border: 2px solid #dbdbdb;
      border-top-color: rgb(219, 219, 219);
      border-right-color: rgb(219, 219, 219);
    border-radius: 9999px;
    border-right-color: transparent;
    border-top-color: transparent;
    content: "";
    display: block;
    height: 1em;
    position: relative;
    width: 1em;
}

.bottom-shadow
{
    border-image: linear-gradient(rgba(0,0,0,0.1) 99%, rgba(0,0,0,0.05) 100%) 1;
    border-width: 10px;
    border-top:0;
    border-left:0;
    border-right:0;
    border-style: solid;
}